低危 Linux Kernel up to 4.15.15 fs/ext4/balloc.c ext4_valid_block_bitmap 拒绝服务漏洞

CVE编号

CVE-2018-1093

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-04-02
漏洞描述
Linux kernel是美国Linux基金会发布的开源操作系统Linux所使用的内核。 Linux kernel 4.15.15及之前的版本中的fs/ext4/balloc.c文件的'ext4_valid_block_bitmap'函数存在安全漏洞,该漏洞源于程序未能校验bitmap块的数量。攻击者可借助特制的ext4图像利用该漏洞造成拒绝服务(越边界读取和系统崩溃)。

解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://git.kernel.org/pub/scm/linux/kernel/git/tytso/ext4.git/commit/?id=7dac4a1726a9c64a517d595c40e95e2d0d135f6f
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 linux linux_kernel * Up to
(including)
4.15.15
运行在以下环境
系统 redhat_7 389-ds-base * Up to
(excluding)
0:1.3.7.5-28.el7_5
运行在以下环境
系统 redhat_7 lldpad * Up to
(excluding)
0:1.0.1-5.git036e314.el7
运行在以下环境
系统 sles_11 cobbler * Up to
(excluding)
2.2.2-0.68.6
运行在以下环境
系统 sles_12 kernel-default-extra * Up to
(excluding)
4.12.14-94.41
运行在以下环境
系统 sles_12 kernel-ec2 * Up to
(excluding)
3.12.74-60.64.96
运行在以下环境
系统 sles_12 libssh * Up to
(excluding)
0.6.3-12.6
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况